# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.docs
Enum ExportFormat.Source

    java.lang.Object
      java.lang.Enum<ExportFormat.Source>
          com.google.gdata.data.docs.ExportFormat.Source

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<ExportFormat.Source>

Enclosing class:
  ExportFormat

    public static enum ExportFormat.Source

extends java.lang.Enum<ExportFormat.Source>

Export source document type.

Enum Constant Summary
`DOCUMENT` Document export format.
`PRESENTATION` Presentation export format.
`SPREADSHEET` Spreadsheet export format.

Method Summary
`static ExportFormat.Source` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static ExportFormat.Source[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### DOCUMENT

    public static final ExportFormat.Source DOCUMENT

  Document export format.

### PRESENTATION

    public static final ExportFormat.Source PRESENTATION

  Presentation export format.

### SPREADSHEET

    public static final ExportFormat.Source SPREADSHEET

  Spreadsheet export format.

Method Detail

### values

    public static ExportFormat.Source[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ExportFormat.Source c : ExportFormat.Source.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ExportFormat.Source valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null